[itemID]: User Item (Link)
- URL:https://[root]/content/users/[userName]/items/[itemID]
- Operations:Add Resources, Can Delete Item, Delete, Delete Info, Move, Protect, Reassign, Remove Resources, Share, Unprotect, Unshare, Update, Update Info, Update Resources
- Child Resources:Resources
Example usage
URL for User Item
https://webadaptor.domain.com/webadaptor/sharing/rest/content/users/jsmith/items/1851c185888a43fcb3d6fffb78ae7c94
Description
A link to a user-uploaded item along with the list of groups with which the item is shared. The item is not physically stored in the user's folder but is stored as a link to the original item in the item resource (/content/items/[itemId]). Access to the item via this link is available only to the user.
Request parameters
|
Parameter |
Details |
|---|---|
| [Common Parameters] |
For a complete listing, see Common parameters. |
Response properties
|
Property |
Details |
|---|---|
| item |
See Item for response properties. Note:commentsEnabled property of an item is not included in user item response. |
| sharing | A JSON object with two properties access and groups, indicating the level of access to the item and the group IDs with which the item is shared. Example: |
JSON Response syntax
{
"item": {
"id": "<item id>",
"owner": "<owner username>",
"created": date created shown in UNIX time,
"modified": date modified shown in UNIX time,
"guid": <unique id>,
"name": "<item name>",
"title": "<item title>",
"type": "<type>",
"typeKeywords": [
"<keyword1>",
"<keyword2>",
"<keyword3>",
"<keyword4>"
],
"description": "<description>",
"tags": [
"<tag1>",
"<tag2>"
],
"snippet": "<summary>",
"thumbnail": <file name>,
"extent": [
[
minX,
minY
],
[
maxX,
maxY
]
],
"spatialReference": <coordinate system>,
"accessInformation": "<credits>",
"licenseInfo": "<access and use constraints>",
"culture": <culture code>,
"url": <url>
"access": "private | public | org | shared",
"size": <size>,
"numComments": <number of comments>,
"numRatings": <number of ratings>,
"avgRating": <average rating>,
"numViews": <number of views>
},
"sharing": {
"access": "private | public | org | shared",
"groups": [<group id1>, <group id2>...]
}
}
JSON Response example
{
"item": {
"id": "1851c185888a43fcb3d6fffb78ae7c94",,
"owner": "jsmith33",
"created": 1264091913000,
"modified": 1290625900000,
"guid": null,
"name": "Usa_Prime_Imagery",
"title": "Usa_Prime_Imagery",
"type": "Layer",
"typeKeywords": [
"Data",
"Layer",
"ArcMap",
"ArcGlobe",
"ArcGIS Explorer",
"lyr"
],
"description": "This detailed imagery map presents satellite imagery for the world and high-resolution
(1m or better) imagery for the United States.",
"tags": [
"layer",
"imagery"
],
"snippet": "Imagery of Southern California",
"thumbnail": null,
"documentation": null,
"extent": [],
"spatialReference": null,
"accessInformation": "Provided by Satellite Technologies",
"licenseInfo": "This imagery is licensed to Satellite Technologies and non-commercial use is allowed.",
"culture": <en_us>,
"url": null,
"access": "org",
"size": 38912,
"numComments": 6,
"numRatings": 17,
"avgRating": 4,
"numViews": 23
},
"sharing": {
"access": "org",
"groups": ["4774c1c2b79046f285b2e86e5a20319e"]
}
}
